"""The availability table database"""

" id: 1:local vendor 2:online vendor 3:lug/ 4:others"

from sqlalchemy import Column
from sqlalchemy.types import Date, Integer, String, Text
from distribution.model import DeclarativeBase

class LocalVendor(DeclarativeBase):

    __tablename__ = 'localvendors'

    id = Column(Integer, primary_key=True)
    vendor_name = Column(String(100), nullable=False)
    address = Column(Text, nullable=False)
    email = Column(String(100), nullable=False)
    phone_no = Column(Integer, nullable=True)
    country_code = Column(String(2), nullable=False)
    active = Column(Integer(1), nullable = False)


class OnlineVendor(DeclarativeBase):

    __tablename__ = 'onlinevendors'

    id = Column(Integer, primary_key=True)
    vendor_name = Column(String(100), nullable=False)
    url = Column(String(100), nullable=False)
    email = Column(String(100), nullable=False)
    phone_no = Column(Integer, nullable=True)
    country_code = Column(String(2), nullable=False)
    active = Column(Integer, nullable = False)       
    
    
class Lug(DeclarativeBase):

    __tablename__ = 'lugs'

    id = Column(Integer, primary_key=True)
    lug_name = Column(String(100), nullable=False)
    url = Column(String(100), nullable=False)
    email = Column(String(100), nullable=False)
    phone_no = Column(String(100), nullable=True)
    country_code = Column(String(2), nullable=False)
    active = Column(Integer, nullable = False)      
